# Copyright 2012, 2013 Canonical Ltd.
# This software is licensed under the GNU Affero General Public License
# version 3 (see the file LICENSE).

from acceptance import base, pages
from acceptance.tests import devices


class TestBackupDeviceWarning(base.SSTTestCaseWithLogIn):

    def test_no_warning_before_adding_device(self):
        your_auth_devices_page = pages.YourAuthenticationDevices(
            open_page=True)
        self.assertFalse(your_auth_devices_page.is_warning_displayed())

    def test_warning_displayed_for_single_device(self):
        self.useFixture(
            devices.AuthenticationDevicesPageOpenedWithDevicesAdded(
                ['Single device']))
        your_auth_devices_page = pages.YourAuthenticationDevices()
        self.assertTrue(your_auth_devices_page.is_warning_displayed())

    def test_warning_removed_after_second_device_added(self):
        self.useFixture(
            devices.AuthenticationDevicesPageOpenedWithDevicesAdded(
                ['Device 1', 'Device 2']))
        your_auth_devices_page = pages.YourAuthenticationDevices()
        self.assertFalse(your_auth_devices_page.is_warning_displayed())

    def test_warning_returns_after_second_device_deleted(self):
        self.useFixture(
            devices.AuthenticationDevicesPageOpenedWithDevicesAdded(
                ['Device 1', 'Device 2']))
        your_auth_devices_page = pages.YourAuthenticationDevices()
        rm_device_page = your_auth_devices_page.delete_authentication_device()
        your_auth_devices_page = rm_device_page.confirm_delete_device()
        self.assertTrue(your_auth_devices_page.is_warning_displayed())
