# Copyright 2012, 2013 Canonical Ltd.
# This software is licensed under the GNU Affero General Public License
# version 3 (see the file LICENSE).

from acceptance import base, pages
from acceptance.tests import devices


class TestMultipleDeviceLogin(base.SSTTestCaseWithLogIn):

    def setUp(self):
        super(TestMultipleDeviceLogin, self).setUp()
        two_devices = ["multi_login_device_one", "multi_login_device_two"]
        self.fixture = self.useFixture(
            devices.TwoFactorPageOpenedWithTwoFactorRequired(
                two_devices, self.user))
        self.page = pages.TwoFactorVerify()

    def test_login_using_two_devices(self):
        one_time_pass = self.fixture.devices_fix.get_one_time_password(
            device_number=0, password_index=1)
        # On instantiation, the account_page is asserted to be open.
        account_page = self.page.two_factor_authentication(one_time_pass)
        logout_landing_page = account_page.log_out()
        login_page = logout_landing_page.click_log_in_or_create_account()
        two_factor_page = login_page.log_in_with_two_factor(self.user)
        one_time_pass = self.fixture.devices_fix.get_one_time_password(
            device_number=1, password_index=1)
        # Returns an YourAccount and automatically asserts it is open.
        two_factor_page.two_factor_authentication(one_time_pass)
