# Copyright 2013 Canonical Ltd.
# This software is licensed under the GNU Affero General Public License
# version 3 (see the file LICENSE).
from acceptance import base, helpers, pages

from sst import actions


class TestDeleteAccount(base.SSTTestCaseWithLogIn):

    def test_delete_account(self):
        pages.YourAccount(open_page=True)
        link = actions.get_element_by_css(
            '*[data-qa-id="delete_account_link"]')
        actions.click_link(link)
        actions.assert_url('/+delete')

        button = actions.get_element(css_class="btn")
        actions.assert_text(button, 'Permanently delete account')

        actions.click_button(button)
        actions.assert_url('/+delete')
        actions.assert_title('Account Deleted')

        actions.go_to('/')
        actions.assert_title('Log in')

        helpers.login(self.user.email, self.user.password)
        actions.assert_url('/+login')
        actions.assert_title('Log in')
