# 11) Check that the 'add email' form requires the user to put in a valid email
# address.
from sst.actions import (
    assert_title,
    assert_title_contains,
    click_button,
    get_element,
    go_to,
    wait_for,
    write_textfield,
)
from u1testutils import mail
from u1testutils.sst import config

from acceptance import helpers, urls


config.set_base_url_from_env()

# Create and verify account A
helpers.register_account()

# Add and verify 2nd email
go_to(urls.EMAILS)
wait_for(assert_title_contains, "email addresses")

address = mail.make_unique_test_email_address()
write_textfield('id_newemail', address)
click_button(get_element(name='continue'))

# Check the outcome, invalid address will be detected by browser validation
wait_for(assert_title, 'Validate your email address')
mail.delete_msgs_sent_to(address)
