# validation of emails
from django.conf import settings

from sst.actions import (
    assert_element,
    click_button,
    get_element,
    get_element_by_css,
    go_to,
)
from u1testutils.sst import config

from acceptance import helpers, urls


# Set to Production, Staging, VPS, Developer etc..
config.set_base_url_from_env()

# Attempt to create a new account using invalid emails
go_to(urls.NEW_ACCOUNT)
helpers.fill_registration_form(
    invalid_email,
    displayname='test name',
    password=settings.SSO_TEST_ACCOUNT_PASSWORD
)

click_button(get_element(name="continue"))

try:
    # browser prevented form submission
    get_element_by_css("input:invalid[name=email]")
    form_was_submitted = False
except AssertionError:
    # the form was submitted
    form_was_submitted = True

if form_was_submitted:
    assert_element(text='Invalid email')
