#  password tests: valid passwords
#
# rules:
#   Password must be at least 8 characters long.

from sst.actions import (
    assert_element,
    assert_title,
    click_button,
    get_element,
    go_to,
    wait_for,
)
from u1testutils import mail
from u1testutils.sst import config

from acceptance import helpers, urls


email_address = mail.make_unique_test_email_address()

config.set_base_url_from_env()
go_to(urls.NEW_ACCOUNT)
assert_title('Create account')
helpers.fill_registration_form(email_address, password=password)
click_button(get_element(name='continue'))
wait_for(assert_element, **{'data-qa-id': 'edit_account'})
