from django.conf.urls import patterns, include
from django.contrib import admin
from django.contrib.auth.views import logout

import nexus
import preflight
from adminaudit import audit_install
from gargoyle.nexus_modules import GargoyleModule


admin.autodiscover()
audit_install()
preflight.autodiscover()

nexus.site.register(GargoyleModule, 'gargoyle')


handler500 = 'webui.views.errors.server_error'
handler404 = 'webui.views.errors.page_not_found'

urlpatterns = patterns(
    '',
    (r'^admin/nexus/', include(nexus.site.urls)),
    (r'^admin/', include(admin.site.urls)),
    (r'^preflight/', include('preflight.urls')),
    (r'', include('identityprovider.urls')),
    # Web UI
    (r'', include('webui.urls')),
    # Lazr.restful backwards compatible api
    (r'^api/', include('api.urls')),
    # SAML support
    (r'^\+saml', include('ubuntu_sso_saml.urls')),
    # OpenID views
    (r'^openid/', include('django_openid_auth.urls')),
    (r'^logout/$', logout, {'next_page': '/'}),
)
