from django.contrib.auth.models import AnonymousUser
from django.test.client import RequestFactory


request_factory = RequestFactory()


def call(method, url, data, meta=None):
    request = request_factory.post(url, data, content_type='application/json')
    # fake the json deserialisation that piston framework performs
    request.data = data
    request.user = AnonymousUser()
    request.environ = {'REMOTE_ADDR': '127.0.0.1'}
    if meta is not None:
        request.META = meta
    response = method(request)
    response._base_content_is_iter = False
    return response, response._container
