# Copyright 2013 Canonical Ltd.  This software is licensed under
# the GNU Affero General Public License version 3 (see the file
# LICENSE).
from datetime import datetime

from django.db import models


class LeakedCredential(models.Model):
    email = models.EmailField(max_length=254, null=False, default=None)
    password = models.TextField(null=False, default=None)
    source = models.TextField(null=False, default=None)
    when_leaked = models.DateField(null=False, default=None)
    when_created = models.DateTimeField(default=datetime.utcnow)

    class Meta:
        app_label = 'identityprovider'
        unique_together = ('email', 'source')

    def __unicode__(self):
        return u"%s (%s)" % (self.email, self.source)
