from datetime import datetime

from django.db import IntegrityError
from django.test import TestCase

from identityprovider.models.leaks import LeakedCredential


class LeakedCredentialTestCase(TestCase):
    def test_required_fields(self):
        fields = {
            'email': 'foo@foo.com',
            'password': 'foo',
            'when_leaked': datetime.utcnow(),
            'source': 'foo',
        }
        cred = LeakedCredential.objects.create(**fields)
        self.assertIsNotNone(cred)

        for field in fields:
            partial = fields.copy()
            partial.pop(field, None)
            self.assertRaises(IntegrityError, LeakedCredential.objects.create,
                              **partial)

    def test_unicode(self):
        cred = LeakedCredential(email='foo@foo.com', password='passwordhash',
                                when_leaked=datetime.utcnow(), source='foo')
        self.assertEqual(unicode(cred), u'foo@foo.com (foo)')
