import oops
import timeline as mod_timeline
from unittest import TestCase

from identityprovider import oops_config


class OopsTests(TestCase):

    def test_timeline_filters_sensitive(self):
        reports = []

        def capture(report):
            reports.append(report)
            return []
        config = oops.Config()
        oops_config.install_timeline_hooks(config)
        config.publisher = capture
        timeline = mod_timeline.Timeline()
        timeline.start('SQL-master', 'SELECT * from accountpassword').finish()
        report = config.create(context=dict(timeline=timeline))
        config.publish(report)
        self.assertEqual(1, len(reports))
        report = reports[0]
        self.assertEqual('SELECT <accountpassword query redacted>',
                         report['timeline'][0][3])
