# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from timeline_django import filters


def filter_table(table_name, reason):
    def do_filter(query):
        return filters._filter_table(query, table_name, reason)

    def filter_query(report, context):
        return filters._filter_query(report, do_filter)
    return filter_query


def install_hooks(config):
    # Filter queries for tables that contain sensitive information
    config.on_create.append(
        filter_table('accountpassword', 'accountpassword'))
    config.on_create.append(
        filter_table('api_user', 'api_user'))
    config.on_create.append(
        filter_table('authtoken', 'authtoken'))
    config.on_create.append(
        filter_table('identityprovider_authenticationdevice',
                     'authenticationdevice'))
    config.on_create.append(
        filter_table('oauth_consumer', 'oauth_consumer'))
    config.on_create.append(
        filter_table('oauth_token', 'oauth_token'))
    config.on_create.append(
        filter_table('openidauthorization', 'openidauthorization'))
    config.on_create.append(
        filter_table('piston_consumer', 'piston_consumer'))
    config.on_create.append(
        filter_table('piston_token', 'piston_token'))
